# $Revision: 1.21 $, $Date: 2005/05/13 13:51:42 $
Summary:	A GNOME 2 Jabber client
Summary(pl):	Klient Jabbera dla GNOME 2
Name:		gnome-jabber
Version:	0.4
Release:	3
License:	GPL
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-jabber/0.4/%{name}-%{version}.tar.bz2
# Source0-md5:	8886c867c9bdb2cf97fe68ee29da9183
Source1:	%{name}.desktop
Patch0:		%{name}-schemas.patch
Patch1:		%{name}-locale_names.patch
URL:		http://gnome-jabber.sf.net/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnet-devel
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	libgnomeui-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	scrollkeeper
Requires(post): GConf2
Requires(post): /usr/bin/scrollkeeper-update
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An Instant Message Client for GNOME using the Jabber Protocol.

%description -l pl
Komunikator internetowy dla GNOME uywajcy protokou Jabbera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv po/{no,nb}.po

%build
cp /usr/share/automake/mkinstalldirs .
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
intltoolize --copy --force

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
%gconf_schema_install

%postun -p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_sysconfdir}/gconf/schemas/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-jabber.spec,v $
Revision 1.21  2005/05/13 13:51:42  ankry
- rel. 3 to rebuild with new libhowl

Revision 1.20  2004/11/03 12:00:46  paladine
- rel 2 for fixed desktop file

Revision 1.19  2004/04/25 14:21:29  freetz
- well, well up to 0.4

Revision 1.18  2004/04/22 16:49:46  freetz
- 20040422 snap
- locale names patch added

Revision 1.17  2004/03/01 17:44:11  freetz
- md5 corrected

Revision 1.16  2004/03/01 17:42:07  freetz
- snap 20040301

Revision 1.15  2004/01/29 17:14:40  freetz
- added schemas patch (fixes sounds location), rel point 2

Revision 1.14  2004/01/29 16:55:23  freetz
- 20040129 snap
- switched to bz2 tarball
- cp mkinstalldirs for locale install

Revision 1.13  2004/01/05 19:56:57  qboosh
- BR: ac,am,lt,it

Revision 1.12  2004/01/05 19:44:48  freetz
- 20040105 snap (cvs moved to cvs.gnome.org)
- ac/am/lt/intl macros added

Revision 1.11  2003/11/23 14:49:25  freetz
- one more time md5

Revision 1.10  2003/11/23 14:14:29  freetz
- md5

Revision 1.9  2003/11/23 13:53:52  freetz
- dropin fix (?)

Revision 1.8  2003/11/23 13:44:07  freetz
- 0.4-20031123 snapshot (dropin)
- no %%config for schemas files
  note: works very nice and stable

Revision 1.7  2003/08/24 17:46:22  freetz
- up to 0.3
- gconf2 schemas
- note: this project seems to be going down - author joined gossip
  development

Revision 1.6  2003/08/18 08:08:07  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/08/02 23:26:55  freetz
- added find_lang macro (aleready in release 0.1 but forget to write about it)
- DESTDIR.patch seems to be not needed anymore
- pixmapsdir kicked out (due duplicated icon for desktop file)
- it's working but not enough good for me (still got rooster problems,
  trayicon dosen't work as should, etc., this should be pointed to author)

Revision 1.4  2003/08/02 23:11:17  freetz
- up 0.2
- pixmapsdir macro disabled for a moment (evolutions in production)
- cosmetics
- url changed

Revision 1.3  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.2  2003/07/04 23:32:34  freetz
- added .desktop file
- added icon

Revision 1.1  2003/07/04 23:13:24  freetz
- initial PLD release
